#!/bin/tcsh

echo SUBSCRIPTS TEST GROUP

echo non-numeric subscript
cp subscripts.1 prog.cob
cobc -C -x -debug -Wall -std=cobol2002 prog.cob >& comp.out
if ( $? == 0 ) goto err
diff subscripts.2 comp.out
if ( $? != 0 ) goto err

echo The range of subscripts
cp subscripts.3 prog.cob
cobc -C -x -debug -Wall -std=cobol2002 prog.cob >& comp.out
if ( $? == 0 ) goto err
diff subscripts.4 comp.out
if ( $? != 0 ) goto err

echo Subscript out of bounds \(1\)
cp subscripts.5 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? == 0 ) goto err
diff subscripts.6 result
if ( $? != 0 ) goto err

echo Subscript out of bounds \(2\)
cp subscripts.7 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? == 0 ) goto err
diff subscripts.8 result
if ( $? != 0 ) goto err

echo Value of DEPENDING ON N out of bounds \(lower\)
cp subscripts.9 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? == 0 ) goto err
diff subscripts.10 result
if ( $? != 0 ) goto err

echo Value of DEPENDING ON N out of bounds \(upper\)
cp subscripts.11 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? == 0 ) goto err
diff subscripts.12 result
if ( $? != 0 ) goto err

echo Subscript bounds with ODO \(lower\)
cp subscripts.13 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? != 0 ) goto err
diff subscripts.14 result
if ( $? != 0 ) goto err

echo Subscript bounds with ODO \(upper\)
cp subscripts.15 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? == 0 ) goto err
diff subscripts.16 comp.out
if ( $? != 0 ) goto err

echo Subscript bounds with ODO
cp subscripts.17 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog >& result
if ( $? == 0 ) goto err
diff subscripts.18 result
if ( $? != 0 ) goto err

echo Subscript by arithmetic expression
cp subscripts.19 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff subscripts.20 result
if ( $? != 0 ) goto err

echo SUBSCRIPTS TEST PASSED
rm prog* result comp.out
goto end

err:
	echo SUBSCRIPTS TEST FAILED
	exit(1)
end:
	exit(0)

