setenv COB_LIBRARY_PATH .
echo BINARY: 2-4-8 big-endian
cp binary.1 test.conf
cp binary.2 dump.c
c89 -Wc,dll,xplink,expo -Wl,dll,xplink -o dump.so dump.c >& comp.out
if ( $? != 0 ) goto err
sed -e "s/@USAGE@/BINARY/" numeric-dump.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.3 result
if ( $? != 0 ) goto err

sed -e "s/@USAGE@/BINARY/" numeric-display.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.4 result
if ( $? != 0 ) goto err

echo BINARY: 2-4-8 native - skipped, the same

echo BINARY: 1-2-4-8 big-endian
cp binary.8 test.conf
sed -e "s/@USAGE@/BINARY/" numeric-dump.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.9 result
if ( $? != 0 ) goto err
sed -e "s/@USAGE@/BINARY/" numeric-display.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.10 result
if ( $? != 0 ) goto err

echo BINARY: 1-2-4-8 native - skipped, the same

echo BINARY: 1--8 big-endian
cp binary.14 test.conf
sed -e "s/@USAGE@/BINARY/" numeric-dump.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.15 result
if ( $? != 0 ) goto err
sed -e "s/@USAGE@/BINARY/" numeric-display.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.16 result
if ( $? != 0 ) goto err


echo BINARY: 1--8 native - skipped, the same

echo BINARY: full-print
cp binary.20 test.conf
sed -e "s/@USAGE@/BINARY/" numeric-display.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -conf=test.conf -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff binary.21 result
if ( $? != 0 ) goto err

echo BINARY TEST PASSED
rm test.conf dump.* prog.* result comp.out
goto end

err:
	echo BINARY TEST FAILED
	exit(1)
end:
	exit(0)

