echo DEFINITION TEST GROUP
echo Undefined data name
cp definition.1 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.2 result
if ( $? != 0 ) goto err

echo Undefined group name
cp definition.3 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.4 result
if ( $? != 0 ) goto err

echo Undefined data name in group
cp definition.5 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.6 result
if ( $? != 0 ) goto err

echo Reference not a group name
cp definition.7 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.8 result
if ( $? != 0 ) goto err

echo Incomplete 01 definition
cp definition.9 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.10 result
if ( $? != 0 ) goto err

echo Same labels in different sections
cp definition.11 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err

echo Redefinition of 01 items
cp definition.12 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.13 result
if ( $? != 0 ) goto err

echo Redefinition of 01 and 02 items
cp definition.14 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.15 result
if ( $? != 0 ) goto err

echo Redefinition of 02 items
cp definition.16 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.17 result
if ( $? != 0 ) goto err

echo Redefinition of 77 items
cp definition.18 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.19 result
if ( $? != 0 ) goto err

echo Redefinition of 01 and 77 items
cp definition.20 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.21 result
if ( $? != 0 ) goto err

echo Redefinition of 88 items
cp definition.22 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.23 result
if ( $? != 0 ) goto err

echo Ambiguous reference to 02 items
cp definition.24 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.25 result
if ( $? != 0 ) goto err

echo Ambiguous reference to 02 and 03 items
cp definition.26 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.27 result
if ( $? != 0 ) goto err

echo Ambigous reference with qualification
cp definition.28 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.29 result
if ( $? != 0 ) goto err

echo Unique reference with ambiguous qualifiers
cp definition.30 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err

echo Undefined procedure name
cp definition.31 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.32 result
if ( $? != 0 ) goto err

echo Redefinition of section names
cp definition.33 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.34 result
if ( $? != 0 ) goto err

echo Redefinition of section and paragraph names
cp definition.35 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.36 result
if ( $? != 0 ) goto err

echo Redefinition of paragraph names
cp definition.37 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err

echo Ambiguous reference to paragraph name
cp definition.38 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff definition.39 result
if ( $? != 0 ) goto err

echo Non-matching level numbers \(extension\)
cp definition.40 test.conf
cp definition.41 prog.cob
cobc -x -C -conf=test.conf -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff definition.42 result
if ( $? != 0 ) goto err

echo DEFINITION TEST PASSED
rm prog.* result test.conf
goto end

err:
	echo DEFINITION TEST FAILED
	exit(1)
end:
	exit(0)

