setenv COB_LIBRARY_PATH .
echo PACKED-DECIMAL dump
cp packed.1 dump.c
c89 -Wc,dll,xplink,expo -Wl,dll,xplink -o dump.so dump.c >& comp.out
if ( $? != 0 ) goto err
sed -e "s/@USAGE@/PACKED-DECIMAL/" numeric-dump.cob > prog.cob
if ( $? != 0 ) goto err
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.2 result
if ( $? != 0 ) goto err

echo PACKED-DECIMAL display
cp packed.3 prog.cob
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.4 result
if ( $? != 0 ) goto err

echo PACKED-DECIMAL move
cp packed.5 prog.cob
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.6 result
if ( $? != 0 ) goto err

echo PACKED-DECIMAL arithmetic \(1\)
cp packed.7 prog.cob
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.8 result
if ( $? != 0 ) goto err

echo PACKED-DECIMAL arithmetic \(2\)
cp packed.9 prog.cob
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.10 result
if ( $? != 0 ) goto err

echo PACKED-DECIMAL numeric test
cp packed.11 prog.cob
cobc -x -std=cobol2002 -debug -Wall -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff packed.12 result
if ( $? != 0 ) goto err

echo PACKED TEST PASSED
rm prog.* dump.* result comp.out
goto end

err:
	echo PACKED TEST FAILED
	exit(1)
end:
	exit(0)

